{
  "schema_version": "1.4.0",
  "id": "GHSA-6457-9pfw-39g2",
  "modified": "2025-04-12T12:39:01Z",
  "published": "2022-05-13T01:14:20Z",
  "aliases": [
    "CVE-2014-6051"
  ],
  "details": "Integer overflow in the MallocFrameBuffer function in vncviewer.c in LibVNCServer 0.9.9 and earlier allows remote VNC servers to cause a denial of service (crash) and possibly execute arbitrary code via an advertisement for a large screen size, which triggers a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2014-6051"
    },
    {
      "type": "WEB",
      "url": "https://github.com/newsoft/libvncserver/commit/045a044e8ae79db9244593fbce154cdf6e843273"
    },
    {
      "type": "WEB",
      "url": "https://lists.debian.org/debian-lts-announce/2019/10/msg00042.html"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201507-07"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201612-36"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/4587-1"
    },
    {
      "type": "WEB",
      "url": "https://www.kde.org/info/security/advisory-20140923-1.txt"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2014-October/139654.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2014-September/139445.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-updates/2015-12/msg00022.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2015-0113.html"
    },
    {
      "type": "WEB",
      "url": "http://seclists.org/oss-sec/2014/q3/639"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/61506"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2014/dsa-3081"
    },
    {
      "type": "WEB",
      "url": "http://www.ocert.org/advisories/ocert-2014-007.html"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2014/09/25/11"
    },
    {
      "type": "WEB",
      "url": "http://www.oracle.com/technetwork/topics/security/bulletinoct2015-2511968.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/70093"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2014-09-30T16:55:00Z"
  }
}